package com.auth.a435.rsa_viewer;

import android.graphics.Typeface;
import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.ExecutionException;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final TextView textView = (TextView) findViewById(R.id.rsaKey);
        Typeface digital = Typeface.createFromAsset(this.getAssets(), "Digital.ttf");
        textView.setTypeface(digital);

        // Update RSA text every 3 seconds
        Timer myTimer = new Timer();
        myTimer.schedule(new TimerTask() {
            @Override
            public void run() {
                runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        String txt = null;
                        try {
                            txt = new RetrieveRSATask().execute().get();
                        } catch (InterruptedException | ExecutionException e) {
                            e.printStackTrace();
                        }
                        textView.setText(txt);
                    }
                });
            }
        }, 0, 3000);
    }

    private class RetrieveRSATask extends AsyncTask<Void, Void, String> {

        @Override
        protected String doInBackground(Void... params) {
            BufferedReader html;
            String ret = "Error: Code not found";
            String read;

            try {
                URL u = new URL(getString(R.string.base) + "/rsa/keygen.html");
                try {
                    html = new BufferedReader(new InputStreamReader(u.openStream()));
                } catch (IOException e1) {
                    return "Error: IO Exception in HTML";
                }

                while ((read = html.readLine()) != null) {
                    if (read.contains("rsa")) {
                        int index = read.indexOf("value") + 7;
                        ret = read.substring(index, index + 6);
                    }
                }
            } catch (MalformedURLException e) {
                ret = "Error: Malformed URL";
            } catch (IOException e) {
                ret = "Error: IO Exception in URL";
            }

            return ret;
        }
    }
}
