<?php

if (defined('session_status') && ('session_status' == PHP_SESSION_ACTIVE)) {
    session_destroy();
    session_unset();
    $_SESSION = [];
}

session_start();
session_unset();
$_SESSION = [];

//	Reset all of the cookies 
setcookie("originalMethodsCompleted", "", time() - (86400), "/");
setcookie("methodOne", "", time() - (86400), "/");
setcookie("methodTwo", "", time() - (86400), "/");
setcookie("methodThree", "", time() - (86400), "/");
setcookie("sessionID", "", time() - (86400), "/");

// unique ID of session to tie analytics to survey
setCookie("sessionID", hash('sha256', microtime()), time() + (86400), "/");
?>


<html lang="en" xmlns="http://www.w3.org/1999/xhtml" class="ui-mobile">

<head>
    <title>Caterpillar Effect Authentication</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Define the initial scale to 100% and don't let the user zoom out any further. -->
    <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
    <!-- Specify that Internet Explorer should run in standards mode. -->
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <style></style>

    <link rel="stylesheet" href="/assets/jquery.mobile-1.3.1.min.css">
    <link rel="stylesheet" type="text/css" href="/assets/main.css">
    <link rel="stylesheet" type="text/css" href="/assets/header.css">

    <script>
        function getCookieByName(name) {
            var re = new RegExp(name + "=([^;]+)");
            var value = re.exec(document.cookie);
            return (value != null) ? unescape(value[1]) : null;
        }

        function submitSessionData() {
            let request;
            let anyl_submitPath = "/analytics/submitData.php";
            let host = window.location.origin;
            if (request) request.abort();

            let submitData = {};

            submitData.name = "registration";
            submitData.affiliation = "metrics";
            submitData.jobtitle = "metrics";
            submitData.version = "1.0.0";
            submitData.startTime = +new Date();
            submitData.metrics = [];
            submitData.metricInits = [];

            submitData.sessionID = getCookieByName("sessionID");


            request = $.ajax({
                url: (host + anyl_submitPath),
                type: "post",
                async: false,
                data: submitData
            });

            request.done(function (response, textStatus, jqXHR) {
                console.log("Submission response: " + response);
            });

            request.fail(function (jqXHR, textStatus, errorThrown) {
                console.error("The following error occurred: " + textStatus, errorThrown);
            });
        }

        //<!-- These cookie functions were sourced from W3: https://www.w3schools.com/js/js_cookies.asp -->
        function setCookie(cname, cvalue, exdays) {

            var d = new Date();
            d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
            var expires = "expires=" + d.toUTCString();
            document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
        }

        function getCookie(cname) {
            var name = cname + "=";
            var ca = document.cookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) == ' ') {
                    c = c.substring(1);
                }
                if (c.indexOf(name) == 0) {
                    return c.substring(name.length, c.length);
                }
            }

            return "";
        }

    </script>

</head>

<body class="ui-mobile-viewport ui-overlay-c" style="background: #ffffff" onLoad="submitSessionData();">
<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container"
     tabindex="0" style="min-height: 394px;">
    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
        <div class="brand-big-logo"></div>
        <div class="brand-small-logo"></div>
        <div class="cws-big-logo">Authentication Service Workbench</div>
        <div class="cws-small-logo">ASW</div>
    </div>
    <div id="header-graphic" class="header-graphic"></div>

    <div id="content" data-role="content" class="main-page-container ui-content" role="main">
        <div class="main-content">
            <div class="main-content-bar">
                <div class="main-content-box">
                    <div class="rsa light">
                        Welcome to the Caterpillar authentication service workbench. </br>
                        </br>
                        To begin, enter test credentials below,</br>
                        and then click the register button to begin.</br>
                        </br>
                        <strong>Please do not reuse secure credentials.</strong>
                    </div>

                    <form action="./setup/setupScreen.php" method="post">

                        <div class="left"><strong>Job Title: </strong></div>
                        <div class="right"><input type="text" id="jobTitle" name="jobTitle" class="registration"
                                                  required/></div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Affiliation: </strong></div>
                        <div class="right"><select style="width: 100%;" name="affiliation" id="affiliation">
                                <option value="customer">Customer</option>
                                <option value="supplier">Supplier</option>
                                <option value="dealer">Dealer</option>
                                <option value="employee">Employee</option>
                                <option value="no affiliation">None</option>
                            </select></div>

                        </br>
                        </br>
                        </br>

                        <div class="left" style="width: 250px;"><strong>Do you have a Yubikey?</strong></div>
                        <div class="right">
                            <div class="opt">Yes <input type="radio" name="yubikey" value="yes" required/></div>
                            <div class="opt">No <input type="radio" name="yubikey" value="no" required/></div>
                        </div>

                        <br/>
                        <br/>

                        <div class="left" style="width: 250px;"><strong>Do you have a webcam?</strong></div>
                        <div class="right">
                            <div class="opt">Yes <input type="radio" name="webcam" value="yes" required/></div>
                            <div class="opt">No <input type="radio" name="webcam" value="no" required/></div>
                        </div>
                        <br/>
                        <br/>
                        <br/>

                        <div class="submit"><input type="submit" value="Register" class="registration"/></div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

</body>

</html>
