<?php

session_start();

$yubikey = false;
$webcam = false;

setcookie("yubikey?", $_POST['yubikey'], time() + 86400, "/");
setcookie("webcam?", $_POST['webcam'], time() + 86400, "/");

$jobTitle = $_POST['jobTitle'];
$affiliation = $_POST['affiliation'];

setcookie("job_title", $jobTitle, time() + 86400, "/");
setcookie("affiliation", $affiliation, time() + 86400, "/");


$methodOne;
$methodTwo;
$methodThree;

$methods = array("../login/login.html", "../rsa/");

$methodCookies = array("password", "one-time-password");


if ($_POST['yubikey'] == "yes") {

    array_push($methods, "../yubikey/login.html");
    array_push($methodCookies, "yubikey");

}


if ($_POST['webcam'] == "yes") {

    array_push($methods, "../Facial_Authentication/html/facialScreen1.html");
    array_push($methodCookies, "facial");

}


if ($_POST['yubikey'] == "yes") {

    // if the volunteer has a yubikey, make them take the yubikey authentication method
    $methodOne = 2;
    while (($methodTwo = rand(0, count($methods) - 1)) == $methodOne) ;

    do {
        $methodThree = rand(0, count($methods) - 1);
    } while (($methodThree == $methodOne) || ($methodThree == $methodTwo));

} else if (count($methods) == 2) {

    //	if volunteer doesn't have a yubikey or a webcam, then they can only do 2 authentication methods
    $methodOne = rand(0, count($methods) - 1);
    while (($methodTwo = rand(0, count($methods) - 1)) == $methodOne) ;
    $methodThree = -1;

} else {

    //	if volunteer doesn't have a yubikey, pick 3 random authentication methods
    $methodOne = rand(0, count($methods) - 1);
    while (($methodTwo = rand(0, count($methods) - 1)) == $methodOne) ;

    do {
        $methodThree = rand(0, count($methods) - 1);
    } while (($methodThree == $methodOne) || ($methodThree == $methodTwo));

}


// Store the chosen authentication methods in SESSION variables.
// If there is no third authentication method for the volunteer to take, then the methodThree will be set to -1
$_SESSION["methodOne"] = ($methods[$methodOne]);
$_SESSION["methodTwo"] = ($methods[$methodTwo]);
$_SESSION["methodThree"] = ($methodThree == -1 ? "-1" : ($methods[$methodThree]));


// store cookies to send to database. If there is no third authentication method, -1 will be stored in the cookie
// the cookies will be used for the analytics and survey portion of the web flow
setcookie("methodOne", $methodCookies[$methodOne], time() + (86400), "/");
setcookie("methodTwo", $methodCookies[$methodTwo], time() + (86400), "/");

if ($methodThree == -1) {
    setcookie("methodThree", "-1", time() + (86400), "/");
} else {
    setcookie("methodThree", $methodCookies[$methodThree], time() + (86400), "/");
}


$pageBody = "";


// variable that will determine if the volunteer is prompted to create a username and password
$passwordHidden = (($methodCookies[$methodOne] == "password") || ($methodCookies[$methodTwo] == "password") || ($methodCookies[$methodThree] == "password")) == true ? "" : "hidden";

// variable that will determine if the volunteer is prompted to create a PIN
$otpHidden = (($methodCookies[$methodOne] == "one-time-password") || ($methodCookies[$methodTwo] == "one-time-password") || ($methodCookies[$methodThree] == "one-time-password")) == true ? "" : "hidden";


setcookie("passwordHidden", $passwordHidden, time() + 86400, "/");
setcookie("otpHidden", $otpHidden, time() + 86400, "/");


// if the volunteer is going to take the default password authentication method, display the HTML to ask the volunteer to create a username and password
if (!($passwordHidden == "hidden")) {
    $pageBody .= "
						<div id='passwordFields'>
							<div class='left'><strong>Create Fake Username: </strong></div>
							<div class='right'><input type='text' id='userName' name='userName' class='registration' required/></div>
	
							<br />
							<br />
	
							<div class='left'><strong>Create Fake Password: </strong></div>
							<div class='right'><input type='password' id='password' name='password' class='registration' required/></div>
	
							<br />
							<br />
	
							<div class='left'><strong>Retype Fake Password: </strong></div>
							<div class='right'><input type='password' id='retypePassword' name='retypePassword' class='registration' required/></div>
	
							<br />
							<br />
							
							<div style='margin-left: 15%; font-size: 10pt; opacity: 0.8'>Password Requirements: </br>
							<ul>
								<li>Minimum of 8 characters.</li>
								<li>At least one uppercase character (A-Z)</li>
								<li>At least one lowercase character (a-z)</li>
								<li>At least one number (0-9)</li>
								<li>At least one special character (@*&;=!.%?_|#$)</li>
								<li>No more than two consecutive numbers.</li>
							</ul>
							</div>
							</br>
						</div>

                    ";
}


// if the volunteer is going to take the one-time password authentication method, display the HTML to ask the volunteer to create a PIN
if (!($otpHidden == "hidden")) {
    $pageBody .= "						
						<div id='otpFields'>
							<div class='left' ><strong>Create Fake Pin: </strong></div>
							<div class='right'><input type='text' id='pin' name='pin' maxlength='4' class='registration' required/></div>
	
							<br />
							<br />
	
							<div class='left'><strong>Retype Fake Pin: </strong></div>
							<div class='right'><input type='text' id='retypePin' name='lastName' maxlength='4' class='registration' required/>
							
							</div>
							<br />
							<br />
							<div style='margin-left: 15%; font-size: 10pt; opacity: 0.8'>Pin Requirements: </br>
							<ul>
								<li>Exactly 4 characters.</li>
								<li>Only contains numbers (0-9)</li>
							</ul>
							</div>
							<br />
						</div>
                    ";
}


//  heredoc that defines the top part of the html page including the external css and javascript
//  the dynmaic html generated will be inserted below this portion of html

$pageTop = <<<EOBODY1
    
        <html lang="en" xmlns="http://www.w3.org/1999/xhtml" class="ui-mobile">
        
            <head>
                <title>Caterpillar Effect Authentication</title>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
                <!-- Define the initial scale to 100% and don't let the volunteer zoom out any further. -->
                <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
                <!-- Specify that Internet Explorer should run in standards mode. -->
                <meta http-equiv="X-UA-Compatible" content="IE=Edge">
        

                <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script><style></style>
        
				<link rel="stylesheet" href="/assets/jquery.mobile-1.3.1.min.css">
				<link rel="stylesheet" href="/assets/main.css">
				<link rel="stylesheet" href="/assets/header.css">
		
        
            <script src="../setup/validateForm.js"></script>
            <link rel="stylesheet" href="/assets/header.css">
            <script>
                function getCookieByName(name)
                {
                    var re = new RegExp(name + "=([^;]+)");
                    var value = re.exec(document.cookie);
                    return (value != null) ? unescape(value[1]) : null;
                }
        
                function submitSessionData() {
                let request;
                let	anyl_submitPath = "/analytics/submitData.php";
                let host = window.location.origin;
                if (request) request.abort();
            
                let submitData = {};
            
                submitData.name = "registration";
                submitData.affiliation = "metrics";
                submitData.jobtitle = "metrics";
                submitData.version = "1.0.0";
                submitData.startTime = +new Date();
                submitData.metrics = [];
                submitData.metricInits = [];
        
                submitData.sessionID = getCookieByName("sessionID");
            
            
                request = $.ajax({
                    url: (host + anyl_submitPath),
                    type: "post",
                    async: false,
                    data: submitData
                });
            
                request.done(function (response, textStatus, jqXHR){
                    console.log("Submission response: " + response);
                });
        
                request.fail(function (jqXHR, textStatus, errorThrown){
                    console.error("The following error occurred: "+ textStatus, errorThrown);
                });
            }
            </script>
        
            </head>
        
            <body class="ui-mobile-viewport ui-overlay-c" style="background: #ffffff" onLoad="submitSessionData();">
                <div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container" tabindex="0" style="min-height: 394px;">
                    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
                        <div class="brand-big-logo"></div>
                        <div class="brand-small-logo"></div>
                        <div class="cws-big-logo">Authentication Service Workbench</div>
                        <div class="cws-small-logo">ASW</div>
                    </div>
                    <div id="header-graphic" class="header-graphic"></div>
        
                    <div id="content" data-role="content" class="main-page-container ui-content" role="main">
                        <div class="main-content">
                            <div class="main-content-bar">
                                <div class="main-content-box">
									<br />
									<br />
									<br />
									<form action="./randomMethod.php" method="post">
EOBODY1;


//  heredoc that defines the bottom portion of the hmtl and the css and javascript.
//  the dynmaic html generated will be inserted above this portion of html

$pageBottom = <<<EOBODY2
										<div class="submit"><input type="submit" value="Start" class="registration" /></div>
		
									</form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
        
            </body>
            <style>
        
            </style>
        
            <script>
                //<!-- These cookie functions were sourced from W3: https://www.w3schools.com/js/js_cookies.asp -->
                function setCookie(cname, cvalue, exdays) {
        
                    var d = new Date();
                    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                    var expires = "expires=" + d.toUTCString();
                    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
                }
        
                function getCookie(cname) {
                    var name = cname + "=";
                    var ca = document.cookie.split(';');
                    for (var i = 0; i < ca.length; i++) {
                        var c = ca[i];
                        while (c.charAt(0) == ' ') {
                            c = c.substring(1);
                        }
                        if (c.indexOf(name) == 0) {
                            return c.substring(name.length, c.length);
                        }
                    }
        
                    return "";
                }
        
            </script>
        
        </html>
EOBODY2;


//  display the page
//  Will display the top portion of the html, followed by the dynamically generated html, followed by the bottom portion of the html

echo $pageTop . "\n" . $pageBody . "\n" . $pageBottom;


?>






