<html class="ui-mobile">
<head>
    <title>Mobile Authentication Survey</title>
    <!-- Sets up visual attributes. -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <link rel="stylesheet" href="/assets/jquery.mobile-1.3.1.min.css">
    <link rel="stylesheet" href="/assets/main.css">
    <link rel="stylesheet" href="/assets/header.css">
    <script src="/assets/jquery-1.11.3.min.js"></script>
    <script src="/assets/jquery.mobile-1.3.1.js"></script>
    <!-- PHP script that sets cookies from HTTP $GET, and checks for valid input -->
    <?php

    # set cookies
    setcookie("type1", $_GET["type1"]);
    setcookie("type2", $_GET["type2"]);
    setcookie("type3", $_GET["type3"]);

    # check for valid values
    if (!$_GET["type1"] || ($_GET["type1"] != "fingerprint" && $_GET["type1"] != "password" && $_GET["type1"] != "yubikey" && $_GET["type1"] != "null")) {
        header('Location: https://vestigial.cs.umd.edu');
    } else if (!$_GET["type2"] || ($_GET["type2"] != "fingerprint" && $_GET["type2"] != "password" && $_GET["type2"] != "yubikey" && $_GET["type2"] != "null")) {
        header('Location: https://vestigial.cs.umd.edu');
    } else if (!$_GET["type3"] || ($_GET["type3"] != "fingerprint" && $_GET["type3"] != "password" && $_GET["type3"] != "yubikey" && $_GET["type3"] != "null")) {
        header('Location: https://vestigial.cs.umd.edu');
    }
    setcookie("MsessionID", $_GET["sessionID"]);

    ?>

    <!-- JavaScript functions that alter display, get cookies -->
    <script type="text/javascript">

        // retrieves cookie if present
        function getCookie(cname) {
            var name = cname + "=";
            var decodedCookie = decodeURIComponent(document.cookie);
            var ca = decodedCookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) == ' ') {
                    c = c.substring(1);
                }
                if (c.indexOf(name) == 0) {
                    return c.substring(name.length, c.length);
                }
            }
            document.cookie = cname + "=null";
            return "null";
        }

        // checks to see which authentication methods should be displayed
        function checkTypes() {
            if (getCookie("type1") == "null") {
                document.getElementById("type1_ease").removeAttribute("required");
                document.getElementById("type1_exp").removeAttribute("required");
                document.getElementById("type1_rec").removeAttribute("required");
                document.getElementById("type1_content").style.display = "none";
            } else {
                document.getElementById("type1_content").style.display = "block";
            }
            if (getCookie("type2") == "null") {
                document.getElementById("type2_ease").removeAttribute("required");
                document.getElementById("type2_exp").removeAttribute("required");
                document.getElementById("type2_rec").removeAttribute("required");
                document.getElementById("type2_content").style.display = "none";
            } else {
                document.getElementById("type2_content").style.display = "block";
            }
            if (getCookie("type3") == "null") {
                document.getElementById("type3_ease").removeAttribute("required");
                document.getElementById("type3_exp").removeAttribute("required");
                document.getElementById("type3_rec").removeAttribute("required");
                document.getElementById("type3_content").style.display = "none";
            } else {
                document.getElementById("type3_content").style.display = "block";
            }
        }

    </script>
</head>
<body class="ui-mobile-viewport ui-overlay-c" onload="checkTypes()">
<!-- Container for banners and header. -->
<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container"
     tabindex="0" style="min-height: 394px;">
    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
        <div class="brand-big-logo"></div>
        <div class="brand-small-logo"></div>
        <div class="cws-big-logo">Authentication Service Workbench</div>
        <div class="cws-small-logo">Mobile Survey</div>
        <div class="heading-button-container">
        </div>
    </div>
    <!-- Main content is here. -->
    <div id="header-graphic" class="header-graphic"></div>
    <div id="content" data-role="content" class="main-page-container ui-content" role="main">
        <div class="main-content">
            <div class="main-content-bar">
                <div class="main-content-box">
                    <h1> Mobile Authentication Survey </h1>
                    <form action="mobile_response.php" method="post" id="survey" data-ajax="false">
                        <!-- Collect data for type1 if present -->
                        <div id="type1_content">
                            <br></br>
                            <script type="text/javascript">
                                document.write("<td>Please rate your experience with the <strong>" + getCookie("type1") + "</strong> authentication method.</td>");
                            </script>
                            <br></br>
                            <td>Was it easy to use?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Not Easy)<br/>
                                    <input type="radio" id="type1_ease" value=1 name="type1_ease" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type1_ease" value=2 name="type1_ease">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type1_ease" value=3 name="type1_ease">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type1_ease" value=4 name="type1_ease">
                                </label>
                                <label for="c5"> Five (Easy)<br/>
                                    <input type="radio" id="type1_ease" value=5 name="type1_ease">
                                </label>
                            </td>
                            <br></br>
                            <td>How did you feel about the experience?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Did not enjoy)<br/>
                                    <input type="radio" id="type1_exp" value=1 name="type1_exp" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type1_exp" value=2 name="type1_exp">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type1_exp" value=3 name="type1_exp">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type1_exp" value=4 name="type1_exp">
                                </label>
                                <label for="c5"> Five (Did enjoy)<br/>
                                    <input type="radio" id="type1_exp" value=5 name="type1_exp">
                                </label>
                            </td>
                            <br></br>
                            <td>Would you recommend this for use at your place of work?</td>
                            <br></br>
                            <td>
                                <label for="c1">Yes<br/>
                                    <input type="radio" id="type1_rec" value="yes" name="type1_rec" required="required">
                                </label>
                                <label for="c2">No<br/>
                                    <input type="radio" id="type1_rec" value="no" name="type1_rec">
                                </label>
                            </td>
                        </div>
                        <br></br>
                        <!-- Collect data for type2 if present -->
                        <div id="type2_content">
                            <br></br>
                            <script type="text/javascript">
                                document.write("<td>Please rate your experience with the <strong>" + getCookie("type2") + "</strong> authentication method.</td>");
                            </script>
                            <br></br>
                            <td>Was it easy to use?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Not Easy)<br/>
                                    <input type="radio" id="type2_ease" value=1 name="type2_ease" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type2_ease" value=2 name="type2_ease">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type2_ease" value=3 name="type2_ease">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type2_ease" value=4 name="type2_ease">
                                </label>
                                <label for="c5"> Five (Easy)<br/>
                                    <input type="radio" id="type2_ease" value=5 name="type2_ease">
                                </label>
                            </td>
                            <br></br>
                            <td>How did you feel about the experience?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Did not enjoy)<br/>
                                    <input type="radio" id="type2_exp" value=1 name="type2_exp" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type2_exp" value=2 name="type2_exp">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type2_exp" value=3 name="type2_exp">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type2_exp" value=4 name="type2_exp">
                                </label>
                                <label for="c5"> Five (Did enjoy)<br/>
                                    <input type="radio" id="type2_exp" value=5 name="type2_exp">
                                </label>
                            </td>
                            <br></br>
                            <td>Would you recommend this for use at your place of work?</td>
                            <br></br>
                            <td>
                                <label for="c1">Yes<br/>
                                    <input type="radio" id="type2_rec" value="yes" name="type2_rec" required="required">
                                </label>
                                <label for="c2">No<br/>
                                    <input type="radio" id="type2_rec" value="no" name="type2_rec">
                                </label>
                            </td>
                        </div>
                        <br></br>
                        <!-- Collect data for type3 if present -->
                        <div id="type3_content">
                            <br></br>
                            <script type="text/javascript">
                                document.write("<td>Please rate your experience with the <strong>" + getCookie("type3") + "</strong> authentication method.</td>");
                            </script>
                            <br></br>
                            <td>Was it easy to use?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Not Easy)<br/>
                                    <input type="radio" id="type3_ease" value=1 name="type3_ease" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type3_ease" value=2 name="type3_ease">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type3_ease" value=3 name="type3_ease">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type3_ease" value=4 name="type3_ease">
                                </label>
                                <label for="c5"> Five (Easy)<br/>
                                    <input type="radio" id="type3_ease" value=5 name="type3_ease">
                                </label>
                            </td>
                            <br></br>
                            <td>How did you feel about the experience?</td>
                            <br></br>
                            <td>
                                <label for="c1"> One (Did not enjoy)<br/>
                                    <input type="radio" id="type3_exp" value=1 name="type3_exp" required="required">
                                </label>
                                <label for="c2"> Two <br/>
                                    <input type="radio" id="type3_exp" value=2 name="type3_exp">
                                </label>
                                <label for="c3"> Three <br/>
                                    <input type="radio" id="type3_exp" value=3 name="type3_exp">
                                </label>
                                <label for="c4"> Four <br/>
                                    <input type="radio" id="type3_exp" value=4 name="type3_exp">
                                </label>
                                <label for="c5"> Five (Did enjoy)<br/>
                                    <input type="radio" id="type3_exp" value=5 name="type3_exp">
                                </label>
                            </td>
                            <br></br>
                            <td>Would you recommend this for use at your place of work?</td>
                            <br></br>
                            <td>
                                <label for="c1">Yes<br/>
                                    <input type="radio" id="type3_rec" value="yes" name="type3_rec" required="required">
                                </label>
                                <label for="c2">No<br/>
                                    <input type="radio" id="type3_rec" value="no" name="type3_rec">
                                </label>
                            </td>
                        </div>
                        <br> </br>
                        <!-- Collect data for comments -->
                        <label for="comment">Do you have suggestions about any of the login systems?</label>
                        <br> </br>
                        <textarea name="comment" id="comment" rows="10" cols="75" tabindex="8"></textarea>
                        <br> </br>
                        <!-- Collect data for email -->
                        <label for="email">Please enter your email if you would like to be entered to win a $25 Amazon
                            gift card:</label>
                        <br></br>
                        <input name="email" id="emailAddress" type="email">
                        <br></br>
                        <input name="submit" type="submit" value="Submit"/>
                        <br></br>
                    </form>
                </div>
            </div>
        </div>
    </div>
</body>
</html>